﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        Username:
        <input id="txtUsername" type="text" onkeyup="ClearMessage()" />
        <input id="btnCheck" type="button" value="Show Availability" onclick="CheckAvailability()" />
        <br />
        <span id="message"></span>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
        <script type="text/javascript">
            function CheckAvailability() {
                var username = $("#txtUsername").val();
                $.ajax({
                    type: "POST",
                    url: "VB.aspx/CheckUserName",
                    data: '{username: "' + username + '" }',
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (response) {
                        var message = $("#message");
                        if (response.d) {
                            //Username available.
                            message.css("color", "green");
                            message.html("Username is available");
                        }
                        else {
                            //Username not available.
                            message.css("color", "red");
                            message.html("Username is NOT available");
                        }
                    }
                });
            };

            function ClearMessage() {
                $("#message").html("");
            };
        </script>
    </form>
</body>
</html>
